Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager
Class PortalServlet

    java.lang.Object
      SingleFileServlet
          com.bea.netuix.servlets.manager.PortalServlet

Direct Known Subclasses:
  PortletServlet

    public class PortalServlet

extends SingleFileServlet

Front door servlet to handle requests for portals and desktops. Requests that end in 'portalExtensions' are handed off to the `UIServlet`. The `UIControl` tree or content uri for a portal for a requested desktop is cached after being retrieved from the persistent store. Caches for user personalized desktops are flushed at the end of a user's session. Non-personalized desktops stay in the cache until either the cache expires them based on its ttl value or they are updated using the persistence API. ContentUris for portals are also cached and flushed using the aforementioned logic.

If a tree is obtained, it is handed over to the `UIServlet` to run lifecycle methods on it. If a content uri is obtained the request is forwarded to it.

Nested Class Summary
`static class` | `PortalServlet.UserCacheFlushSessionBindingListener` SessionBindingListener to flush the user cache at the end of a session.

Field Summary
`protected static PortalCustomizationManager` | `portalCustomizationManager`

Constructor Summary
`PortalServlet()`

Method Summary
`protected CacheKey` | `createCacheKey(String _webAppName, String _portalPath, String _desktopPath, String _userName, ArrayList _locales, boolean retrieveAdmin)` Deprecated As of 8.1 SP2, replaced by `createCacheKey()`
`protected UIControlTreeCacheData` | `createControlTreeData(byte[] controlTreeBytes)` Deprecated As of 8.1 SP2, replaced by methods in `com.bea.netuix.servlets.manager.SingleFileProcessor`
`protected byte[]` | `getCachedControlTreeBytes(CacheKey cacheKey)` Deprecated As of 8.1 SP2, replaced by methods in `com.bea.netuix.servlets.manager.SingleFileProcessor`
`protected Serializable` | `getFromTreeCache(CacheKey cacheKey)` Deprecated As of 8.1 SP2, replaced by methods in `com.bea.netuix.servlets.manager.SingleFileProcessor`
`protected UIControlTreeCacheData` | `getTreeFromJspx(String jspx, HttpServletRequest request, HttpServletResponse response, Locale locale)` Deprecated As of 8.1 SP2, replaced by methods in `com.bea.netuix.servlets.manager.SingleFileProcessor`
`void` | `init()` Initalize this servlet.
`protected void` | `init(boolean checkLicense)`
`protected void` | `injectExternalEventGenerators(UIContext jspContext, HttpServletRequest request)` Injects ExternalEventGenerators into the UIContext if necessary.
`protected void` | `removeFromTreeCache(CacheKey cacheKey)`
`void` | `service(HttpServletRequest request, HttpServletResponse response)` service method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portalCustomizationManager

    protected static PortalCustomizationManager portalCustomizationManager

Constructor Detail

### PortalServlet

    public PortalServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Initalize this servlet.

  Throws
    `ServletException`

### init

    protected void init(boolean checkLicense)
                 throws ServletException

  Throws
    `ServletException`

### service

    public void service(HttpServletRequest request,
                        HttpServletResponse response)
                 throws ServletException,
                        IOException

  service method.

  Parameters
    `request` - HttpServletRequest
    `response` - HttpServletResposne
  Throws
    `ServletException`
    `IOException`

### injectExternalEventGenerators

    protected void injectExternalEventGenerators(UIContext jspContext,
                                                 HttpServletRequest request)

  Injects ExternalEventGenerators into the UIContext if necessary. This overrides the method from UIServlet so that we may wire up notification delivery through the portlet eventing mechanism here.

### createCacheKey

    protected CacheKey createCacheKey(String _webAppName,
                                      String _portalPath,
                                      String _desktopPath,
                                      String _userName,
                                      ArrayList _locales,
                                      boolean retrieveAdmin)

  Deprecated As of 8.1 SP2, replaced by `createCacheKey()`

### removeFromTreeCache

    protected void removeFromTreeCache(CacheKey cacheKey)

### getTreeFromJspx

    protected UIControlTreeCacheData getTreeFromJspx(String jspx,
                                                     HttpServletRequest request,
                                                     HttpServletResponse response,
                                                     Locale locale)

  Deprecated As of 8.1 SP2, replaced by methods in `com.bea.netuix.servlets.manager.SingleFileProcessor`

### getFromTreeCache

    protected Serializable getFromTreeCache(CacheKey cacheKey)

  Deprecated As of 8.1 SP2, replaced by methods in `com.bea.netuix.servlets.manager.SingleFileProcessor`

### createControlTreeData

    protected UIControlTreeCacheData createControlTreeData(byte[] controlTreeBytes)
                                                    throws IOException,
                                                           ClassNotFoundException

  Deprecated As of 8.1 SP2, replaced by methods in `com.bea.netuix.servlets.manager.SingleFileProcessor`

  Throws
    `IOException`
    `ClassNotFoundException`

### getCachedControlTreeBytes

    protected byte[] getCachedControlTreeBytes(CacheKey cacheKey)

  Deprecated As of 8.1 SP2, replaced by methods in `com.bea.netuix.servlets.manager.SingleFileProcessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved